List Notion items
Lists Notion pages and databases from search results or from the children of a specific parent page/database. Emits eventName…
Lists Notion pages and databases from search results or from the children of a specific parent page/database. Emits eventName integrations.notion.fetch_items and failureEventName integrations.notion.fetch_items_failed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/integrations/notion" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true,
"data": {
"items": [
{
"id": "page-123",
"object": "page",
"title": "Security Overview",
"url": "https://www.notion.so/page-123",
"lastEditedTime": "2026-02-25T11:00:00.000Z",
"icon": null,
"hasChildren": false,
"parent": {
"type": "workspace",
"id": null
}
}
],
"nextPageToken": null
}
}{
"error": "string",
"code": "string",
"data": {}
}Empty
{
"error": "string",
"code": "string",
"data": {}
}Empty
How is this guide?